# InterfaceGraphic_PrimitiveArray.hxx File Reference

`#include <InterfaceGraphic_telem.h>`
`#include <InterfaceGraphic_degeneration.h>`

## Defines

#define | MVERTICE 1
#define | MVNORMAL 2
#define | MVCOLOR 4
#define | MVTEXEL 8
#define | xIARRAY 1

## Enumerations

enum | TelPrimitivesArrayType { TelUnknownArrayType, TelPointsArrayType, TelPolylinesArrayType, TelSegmentsArrayType, TelPolygonsArrayType, TelTrianglesArrayType, TelQuadranglesArrayType, TelTriangleStripsArrayType, TelQuadrangleStripsArrayType, TelTriangleFansArrayType }

## Define Documentation

#define MVCOLOR 4

#define MVERTICE 1

#define MVNORMAL 2

#define MVTEXEL 8

#define xIARRAY 1

## Enumeration Type Documentation

enum TelPrimitivesArrayType

Enumeration values:

  TelUnknownArrayType |
  TelPointsArrayType |
  TelPolylinesArrayType |
  TelSegmentsArrayType |
  TelPolygonsArrayType |
  TelTrianglesArrayType |
  TelQuadranglesArrayType |
  TelTriangleStripsArrayType |
  TelQuadrangleStripsArrayType |
  TelTriangleFansArrayType |